package com.gic.haoban.manage.service.dao.mapper.send;

import com.gic.haoban.manage.service.entity.send.TabQwSendMsg;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * 企微群发msgid表(TabQwSendMsg)表数据库访问层
 *
 * @author makejava
 * @since 2025-03-25 13:48:05
 */
public interface QwSendMsgMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    TabQwSendMsg queryById(Long id);

    TabQwSendMsg queryByMsgId(String msgId);

    /**
     * 查询指定行数据
     *
     * @param tabQwSendMsg 查询条件
     * @param pageable     分页对象
     * @return 对象列表
     */
    List<TabQwSendMsg> queryAllByLimit(TabQwSendMsg tabQwSendMsg, @Param("pageable") Pageable pageable);

    /**
     * 统计总行数
     *
     * @param tabQwSendMsg 查询条件
     * @return 总行数
     */
    long count(TabQwSendMsg tabQwSendMsg);

    /**
     * 新增数据
     *
     * @param tabQwSendMsg 实例对象
     * @return 影响行数
     */
    int insert(TabQwSendMsg tabQwSendMsg);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<TabQwSendMsg> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<TabQwSendMsg> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<TabQwSendMsg> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<TabQwSendMsg> entities);

    /**
     * 修改数据
     *
     * @param tabQwSendMsg 实例对象
     * @return 影响行数
     */
    int update(TabQwSendMsg tabQwSendMsg);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Long id);

}

